﻿@model InvestmentLiteInfo
@{
    var bankTotal = Model?.BankInflationaryInvestmentAmount + Model?.BankNonInflationaryInvestmentAmount;
    var brokerageTotal = Model?.BrokerageInflationaryInvestmentAmount + Model?.BrokerageNonInflationaryInvestmentAmount;
    var annuityTotal = Model?.AnnuityInflationaryInvestmentAmount + Model?.AnnuityNonInflationaryInvestmentAmount;
    ViewData["Title"] = "Investment";
}
<form asp-action="saveinvestmentlite" class="form fv-plugins-bootstrap fv-plugins-framework" id="kt_clientinfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithWizardRealodExplicitVue">
    <div class="d-flex justify-content-between mb-5">
        <div>
            <h4 class="text-dark font-weight-bold mt-2 mr-5">Lets get better understanding of your personal Investment</h4>
        </div>
        <div>
            <button class="btn btn-secondary font-weight-bold px-6 py-2" id="btn-save-exit">Save & Exit</button>
        </div>
    </div>
    <div class="wizard-content-height" id="investment-lite">
        <div class="row mb-2">
            <label class="col-form-label font-weight-bold font-radio-title col-xl-8 col-6 align-self-end pb-0">Banking</label>
            <label class="col-form-label font-weight-bold font-radio-title col-xl-2 col-3 text-primary align-self-end pb-0">Balance</label>
            <label class="col-form-label font-weight-bold font-radio-title col-xl-2 col-3 text-primary pb-0">Rate of Return</label>
        </div>
        <div class="row mb-2">
            <label class="col-form-label col-xl-8 col-6" asp-for="BankInflationaryInvestmentAmount">Qualified Accounts (Rollover IRA, Traditional IRA, etc)</label>
            <div class="col-xl-2 col-3">
                <input asp-for="BankInflationaryInvestmentAmount" class="form-control form-control-sm currency" data-target="BankNonInflationaryInvestmentAmount" data-total-target="bank-total" type="text">
            </div>
            <div class="col-xl-2 col-3">
                <input asp-for="BankInflationaryRateOfReturn" class="form-control form-control-sm percentage">
            </div>
        </div>
        <div class="row mb-2">
            <label class="col-form-label col-xl-8 col-6" asp-for="BankNonInflationaryInvestmentAmount">Non-Qualified Accounts</label>
            <div class="col-xl-2 col-3">
                <input asp-for="BankNonInflationaryInvestmentAmount" class="form-control form-control-sm currency" data-target="BankInflationaryInvestmentAmount" data-total-target="bank-total" type="text">
            </div>
            <div class="col-xl-2 col-3">
                <input asp-for="BankNonInflationaryRateOfReturn" class="form-control form-control-sm percentage">
            </div>
        </div>
        <div class="row mb-2">
            <label class="col-form-label col-xl-8 col-6 text-primary font-weight-bold">Total</label>
            <div class="col-xl-2 col-3">
                <input class="form-control form-control-sm currency currency-total" id="bank-total" disabled value="@bankTotal" type="text">
            </div>
        </div>
        <hr />
        <div class="row mb-2">
            <label class="col-form-label font-weight-bold font-radio-title col-xl-8 col-6 align-self-end pb-0">Investment (Brokerage or Advisory Account)</label>
            <label class="col-form-label font-weight-bold font-radio-title col-xl-2 col-3 text-primary align-self-end pb-0">Balance</label>
            <label class="col-form-label font-weight-bold font-radio-title col-xl-2 col-3 text-primary pb-0">Rate of Return</label>
        </div>
        <div class="row mb-2">
            <label class="col-form-label col-xl-8 col-6" asp-for="BrokerageInflationaryInvestmentAmount">Qualified Accounts (Rollover IRA, Traditional IRA, etc)</label>
            <div class="col-xl-2 col-3">
                <input asp-for="BrokerageInflationaryInvestmentAmount" class="form-control form-control-sm currency" data-target="BrokerageNonInflationaryInvestmentAmount" data-total-target="brokerage-total" type="text">
            </div>
            <div class="col-xl-2 col-3">
                <input asp-for="BrokerageInflationaryRateOfReturn" class="form-control form-control-sm percentage">
            </div>
        </div>
        <div class="row mb-2">
            <label class="col-form-label col-xl-8 col-6" asp-for="BrokerageNonInflationaryInvestmentAmount">Non-Qualified Accounts</label>
            <div class="col-xl-2 col-3">
                <input asp-for="BrokerageNonInflationaryInvestmentAmount" class="form-control form-control-sm currency" data-target="BrokerageInflationaryInvestmentAmount" data-total-target="brokerage-total" type="text">
            </div>
            <div class="col-xl-2 col-3">
                <input asp-for="BrokerageNonInflationaryRateOfReturn" class="form-control form-control-sm percentage">
            </div>
        </div>
        <div class="row mb-2">
            <label class="col-form-label col-xl-8 col-6 text-primary font-weight-bold">Total</label>
            <div class="col-xl-2 col-3">
                <input class="form-control form-control-sm total currency currency-total" disabled id="brokerage-total" value="@brokerageTotal" type="text">
            </div>
        </div>
        <hr />
        <div class="row mb-2">
            <label class="col-form-label font-weight-bold font-radio-title col-xl-8 col-6 align-self-end pb-0">Insurance (Annuities)</label>
            <label class="col-form-label font-weight-bold font-radio-title col-xl-2 col-3 text-primary align-self-end pb-0">Balance</label>
            <label class="col-form-label font-weight-bold font-radio-title col-xl-2 col-3 text-primary pb-0">Rate of Return</label>
        </div>
        <div class="row mb-2">
            <label class="col-form-label col-xl-8 col-6" asp-for="AnnuityInflationaryInvestmentAmount">Qualified Accounts (Rollover IRA, Traditional IRA, etc)</label>
            <div class="col-xl-2 col-3">
                <input asp-for="AnnuityInflationaryInvestmentAmount" class="form-control form-control-sm currency" data-target="AnnuityNonInflationaryInvestmentAmount" data-total-target="annuity-total" type="text">
            </div>
            <div class="col-xl-2 col-3">
                <input asp-for="AnnuityInflationaryRateOfReturn" class="form-control form-control-sm percentage">
            </div>
        </div>
        <div class="row mb-2">
            <label class="col-form-label col-xl-8 col-6" asp-for="AnnuityNonInflationaryInvestmentAmount">Non-Qualified Accounts</label>
            <div class="col-xl-2 col-3">
                <input asp-for="AnnuityNonInflationaryInvestmentAmount" class="form-control form-control-sm currency" data-target="AnnuityInflationaryInvestmentAmount" data-total-target="annuity-total" type="text">
            </div>
            <div class="col-xl-2 col-3">
                <input asp-for="AnnuityNonInflationaryRateOfReturn" class="form-control form-control-sm percentage">
            </div>
        </div>
        <div class="row mb-2">
            <label class="col-form-label col-xl-8 col-6 text-primary font-weight-bold">Total</label>
            <div class="col-xl-2 col-3">
                <input class="form-control form-control-sm total currency currency-total" id="annuity-total" disabled value="@annuityTotal" type="text">
            </div>
        </div>
    </div>
    <partial name="_WizardFooter" />
</form>
<script>
    $("#investment-lite input").on('input', function() {
        var a = $(this).val();
        var id = $(this).attr("data-target");
        var b = $(`#${id}`).val();
        var totalTarget = $(this).attr("data-total-target");
        $(`#${totalTarget}`).val(Number(a) + Number(b));
    });
    setTimeout(function() {
        $("#wizard-3").remove();
        $("#wizard-submenu").html("");
        setInvestmentExpressNextPrevTitleAction();
    }, 0);
</script>